aboutsummaryrefslogtreecommitdiffstats
path: root/testing/uwsgi/APKBUILD
diff options
context:
space:
mode:
authorKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2012-11-15 12:28:02 +0000
committerKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2012-11-15 12:28:02 +0000
commit79a5c3118e395916ec60e32d56841118dd120997 (patch)
treeaba96eb7035a0422f5b67544392373ca204f5375 /testing/uwsgi/APKBUILD
parent8e40e50db1dea8da62e4a2280efabb5b35e07a98 (diff)
downloadaports-79a5c3118e395916ec60e32d56841118dd120997.tar.gz
aports-79a5c3118e395916ec60e32d56841118dd120997.tar.bz2
aports-79a5c3118e395916ec60e32d56841118dd120997.tar.xz
testing/uwsgi: package added
Diffstat (limited to 'testing/uwsgi/APKBUILD')
-rw-r--r--testing/uwsgi/APKBUILD55
1 files changed, 55 insertions, 0 deletions
diff --git a/testing/uwsgi/APKBUILD b/testing/uwsgi/APKBUILD
new file mode 100644
index 0000000000..4d40b10f95
--- /dev/null
+++ b/testing/uwsgi/APKBUILD
@@ -0,0 +1,55 @@
+# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
+# Maintainer:
+pkgname=uwsgi
+pkgver=1.3
+pkgrel=0
+pkgdesc="uWSGI application container server"
+url=http://projects.unbit.it/uwsgi/
+arch=all
+license=GPL-2
+makedepends="linux-headers lua-dev python python-dev"
+subpackages=uwsgi-lua
+source="http://projects.unbit.it/downloads/uwsgi-${pkgver}.tar.gz futimes.patch include-sched.patch lua-async.patch"
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=-D_GNU_SOURCE
+ python uwsgiconfig.py --build core
+ python uwsgiconfig.py --plugin plugins/lua core
+}
+
+package() {
+ cd "$_builddir"
+
+ local bindir=$pkgdir/usr/sbin
+ install -d "$bindir"
+ install uwsgi "$bindir"
+
+ local libdir=$pkgdir/usr/lib/uwsgi
+ install -d "$libdir"
+ install *_plugin.so "$libdir"
+}
+
+lua() {
+ depends=uwsgi
+
+ local libdir=$subpkgdir/usr/lib/uwsgi
+ install -d "$libdir"
+ mv "$pkgdir/usr/lib/uwsgi/lua_plugin.so" "$libdir"
+}
+
+md5sums="0e83c1ef1b7b01a16c87884d23030ce2 uwsgi-1.3.tar.gz
+2c9aeb5b2adf1fa45ef4ed6bda47236a futimes.patch
+02c43e001d5f44eb421079e17f9db003 include-sched.patch
+eee9b786b235f577776039c1661b0c63 lua-async.patch"